com.sun.grid.jgdi.management.mbeans

## Class JGDIJMXBase

- java.lang.Object
- - com.sun.grid.jgdi.management.mbeans.JGDIJMXBase

- All Implemented Interfaces:
    JGDIJMXBaseMBean, java.io.Serializable, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter
  Direct Known Subclasses:
    JGDIJMX

      public class JGDIJMXBase
      extends java.lang.Object
      implements java.io.Serializable, JGDIJMXBaseMBean, javax.management.NotificationEmitter

  Class JGDIJMXBase JGDIJMXBase MBean
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIJMXBase(JGDISession owner)` Create a new instance of JGDIJMXBase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
    `void` | `cleanQueues(java.lang.String[] queues)`
    `void` | `cleanQueuesWithAnswer(java.lang.String[] queues, java.util.List<JGDIAnswer> answers)`
    `void` | `clearJobs(java.lang.String[] jobs, boolean force)`
    `void` | `clearJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `clearQueues(java.lang.String[] queues, boolean force)`
    `void` | `clearQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `clearShareTreeUsage()`
    `void` | `clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `close()` Close the session of this jgdi mbean
    `void` | `deleteShareTree()`
    `void` | `deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `disableQueues(java.lang.String[] queues, boolean force)`
    `void` | `disableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `enableQueues(java.lang.String[] queues, boolean force)`
    `void` | `enableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `QHostResult` | `execQHost(QHostOptions options)`
    `java.lang.String` | `getActQMaster()`
    `java.lang.String` | `getAdminUser()`
    `java.util.List<ClusterQueueSummary>` | `getClusterQueueSummary(ClusterQueueSummaryOptions options)`
    `java.lang.String` | `getCurrentJGDIVersion()`
    `protected JGDI` | `getJGDI()`
    `protected NotificationBridge` | `getNB()`
    `javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()`
    `QQuotaResult` | `getQQuota(QQuotaOptions options)`
    `QueueInstanceSummaryResult` | `getQueueInstanceSummary(QueueInstanceSummaryOptions options)`
    `java.util.List<ExecHost>` | `getRealExecHostList()`
    `java.lang.String` | `getSchedulerHost()`
    `java.lang.String` | `getSGECell()`
    `int` | `getSgeExecdPort()`
    `int` | `getSgeQmasterPort()`
    `java.io.File` | `getSGERoot()`
    `java.util.Set<EventTypeEnum>` | `getSubscription()` Get the current event subscription.
    `void` | `killAllEventClients()`
    `void` | `killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `killAllExecds(boolean terminateJobs)`
    `void` | `killAllExecdsWithAnswer(boolean terminateJobs, java.util.List<JGDIAnswer> answers)`
    `void` | `killEventClients(int[] ids)`
    `void` | `killEventClientsWithAnswer(int[] ids, java.util.List<JGDIAnswer> answers)`
    `void` | `killExecd(java.lang.String[] hosts, boolean terminateJobs)`
    `void` | `killExecdWithAnswer(java.lang.String[] hosts, boolean terminateJobs, java.util.List<JGDIAnswer> answers)`
    `void` | `killMaster()`
    `void` | `killMasterWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `killScheduler()`
    `void` | `killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)`
    `ClusterQueueSummaryOptions` | `newClusterQueueSummaryOptions()`
    `QHostOptions` | `newQHostOptions()`
    `QQuotaOptions` | `newQQuotaOptions()`
    `QueueInstanceSummaryOptions` | `newQueueInstanceSummaryOptions()`
    `void` | `removeNotificationListener(javax.management.NotificationListener listener)`
    `void` | `removeNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
    `void` | `reschedule(java.lang.String[] queue_or_job, boolean force)`
    `void` | `rescheduleJobs(java.lang.String[] jobs, boolean force)`
    `void` | `rescheduleJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `rescheduleQueues(java.lang.String[] queues, boolean force)`
    `void` | `rescheduleQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `rescheduleWithAnswer(java.lang.String[] queue_or_job, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `setSubscription(java.util.Set<EventTypeEnum> subscription)` Set the current event subscription.
    `java.lang.String` | `showDetachedSettings(java.lang.String[] queues)`
    `java.lang.String` | `showDetachedSettingsAll()`
    `void` | `startScheduler()`
    `void` | `startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `subscribe(java.util.Set<EventTypeEnum> subscription)` Subscribe a set of event types if they are not already subscribed.
    `void` | `suspend(java.lang.String[] queues, boolean force)`
    `void` | `suspendJobs(java.lang.String[] jobs, boolean force)`
    `void` | `suspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `suspendQueues(java.lang.String[] queues, boolean force)`
    `void` | `suspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `suspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `triggerSchedulerMonitoring()`
    `void` | `triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `unsubscribe(java.util.Set<EventTypeEnum> subscription)` Unsubcribe a set of event types if the are not already unsubscribed.
    `void` | `unsuspend(java.lang.String[] queues, boolean force)`
    `void` | `unsuspendJobs(java.lang.String[] jobs, boolean force)`
    `void` | `unsuspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `unsuspendQueues(java.lang.String[] queues, boolean force)`
    `void` | `unsuspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `unsuspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### JGDIJMXBase

          public JGDIJMXBase(JGDISession owner)

      Create a new instance of JGDIJMXBase
      Parameters:
        `owner` - the session of the mbean

  - ### Method Detail

    - #### getJGDI

          protected JGDI getJGDI()
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### close

          public void close()

      Close the session of this jgdi mbean
      Specified by:
        `close` in interface `JGDIJMXBaseMBean`

    - #### getNB

          protected NotificationBridge getNB()
                                      throws JGDIException

      Throws:
        `JGDIException`

    - #### getCurrentJGDIVersion

          public java.lang.String getCurrentJGDIVersion()
                                                 throws JGDIException

      Specified by:
        `getCurrentJGDIVersion` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### subscribe

          public void subscribe(java.util.Set<EventTypeEnum> subscription)
                         throws JGDIException

      Description copied from interface: `JGDIJMXBaseMBean`
      Subscribe a set of event types if they are not already subscribed.
      Specified by:
        `subscribe` in interface `JGDIJMXBaseMBean`
      Parameters:
        `subscription` - set of event types
      Throws:
        `JGDIException`

    - #### unsubscribe

          public void unsubscribe(java.util.Set<EventTypeEnum> subscription)
                           throws JGDIException

      Description copied from interface: `JGDIJMXBaseMBean`
      Unsubcribe a set of event types if the are not already unsubscribed.
      Specified by:
        `unsubscribe` in interface `JGDIJMXBaseMBean`
      Parameters:
        `subscription` - set of event type which should be unsubcribed
      Throws:
        `JGDIException`

    - #### getSubscription

          public java.util.Set<EventTypeEnum> getSubscription()
                                                       throws JGDIException

      Description copied from interface: `JGDIJMXBaseMBean`
      Get the current event subscription.
      Specified by:
        `getSubscription` in interface `JGDIJMXBaseMBean`
      Returns:
        set of event types which are currently subscribed
      Throws:
        `JGDIException`

    - #### setSubscription

          public void setSubscription(java.util.Set<EventTypeEnum> subscription)
                               throws JGDIException

      Description copied from interface: `JGDIJMXBaseMBean`
      Set the current event subscription.
      Specified by:
        `setSubscription` in interface `JGDIJMXBaseMBean`
      Parameters:
        `subscription` - the set of event types to subscribe
      Throws:
        `JGDIException`

    - #### removeNotificationListener

          public void removeNotificationListener(javax.management.NotificationListener listener,
                                                 javax.management.NotificationFilter filter,
                                                 java.lang.Object handback)
                                          throws javax.management.ListenerNotFoundException

      Specified by:
        `removeNotificationListener` in interface `javax.management.NotificationEmitter`
      Throws:
        `javax.management.ListenerNotFoundException`

    - #### addNotificationListener

          public void addNotificationListener(javax.management.NotificationListener listener,
                                              javax.management.NotificationFilter filter,
                                              java.lang.Object handback)
                                       throws java.lang.IllegalArgumentException

      Specified by:
        `addNotificationListener` in interface `javax.management.NotificationBroadcaster`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### removeNotificationListener

          public void removeNotificationListener(javax.management.NotificationListener listener)
                                          throws javax.management.ListenerNotFoundException

      Specified by:
        `removeNotificationListener` in interface `javax.management.NotificationBroadcaster`
      Throws:
        `javax.management.ListenerNotFoundException`

    - #### getNotificationInfo

          public javax.management.MBeanNotificationInfo[] getNotificationInfo()

      Specified by:
        `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

    - #### getAdminUser

          public java.lang.String getAdminUser()
                                        throws JGDIException

      Specified by:
        `getAdminUser` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getSGERoot

          public java.io.File getSGERoot()
                                  throws JGDIException

      Specified by:
        `getSGERoot` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getSGECell

          public java.lang.String getSGECell()
                                      throws JGDIException

      Specified by:
        `getSGECell` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getActQMaster

          public java.lang.String getActQMaster()
                                         throws JGDIException

      Specified by:
        `getActQMaster` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getSgeQmasterPort

          public int getSgeQmasterPort()
                                throws JGDIException

      Specified by:
        `getSgeQmasterPort` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getSgeExecdPort

          public int getSgeExecdPort()
                              throws JGDIException

      Specified by:
        `getSgeExecdPort` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getRealExecHostList

          public java.util.List<ExecHost> getRealExecHostList()
                                                       throws JGDIException

      Specified by:
        `getRealExecHostList` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### execQHost

          public QHostResult execQHost(QHostOptions options)
                                throws JGDIException

      Specified by:
        `execQHost` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getClusterQueueSummary

          public java.util.List<ClusterQueueSummary> getClusterQueueSummary(ClusterQueueSummaryOptions options)
                                                                     throws JGDIException

      Specified by:
        `getClusterQueueSummary` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getQueueInstanceSummary

          public QueueInstanceSummaryResult getQueueInstanceSummary(QueueInstanceSummaryOptions options)
                                                             throws JGDIException

      Specified by:
        `getQueueInstanceSummary` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getQQuota

          public QQuotaResult getQQuota(QQuotaOptions options)
                                 throws JGDIException

      Specified by:
        `getQQuota` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### clearShareTreeUsage

          public void clearShareTreeUsage()
                                   throws JGDIException

      Specified by:
        `clearShareTreeUsage` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### clearShareTreeUsageWithAnswer

          public void clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Specified by:
        `clearShareTreeUsageWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### cleanQueues

          public void cleanQueues(java.lang.String[] queues)
                           throws JGDIException

      Specified by:
        `cleanQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### cleanQueuesWithAnswer

          public void cleanQueuesWithAnswer(java.lang.String[] queues,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Specified by:
        `cleanQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killMaster

          public void killMaster()
                          throws JGDIException

      Specified by:
        `killMaster` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killMasterWithAnswer

          public void killMasterWithAnswer(java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Specified by:
        `killMasterWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killScheduler

          public void killScheduler()
                             throws JGDIException

      Specified by:
        `killScheduler` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killSchedulerWithAnswer

          public void killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Specified by:
        `killSchedulerWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### startScheduler

          public void startScheduler()
                              throws JGDIException

      Specified by:
        `startScheduler` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### startSchedulerWithAnswer

          public void startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Specified by:
        `startSchedulerWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killExecd

          public void killExecd(java.lang.String[] hosts,
                                boolean terminateJobs)
                         throws JGDIException

      Specified by:
        `killExecd` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killExecdWithAnswer

          public void killExecdWithAnswer(java.lang.String[] hosts,
                                          boolean terminateJobs,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Specified by:
        `killExecdWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killAllExecds

          public void killAllExecds(boolean terminateJobs)
                             throws JGDIException

      Specified by:
        `killAllExecds` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killAllExecdsWithAnswer

          public void killAllExecdsWithAnswer(boolean terminateJobs,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Specified by:
        `killAllExecdsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killEventClients

          public void killEventClients(int[] ids)
                                throws JGDIException

      Specified by:
        `killEventClients` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killEventClientsWithAnswer

          public void killEventClientsWithAnswer(int[] ids,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Specified by:
        `killEventClientsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killAllEventClients

          public void killAllEventClients()
                                   throws JGDIException

      Specified by:
        `killAllEventClients` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### killAllEventClientsWithAnswer

          public void killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Specified by:
        `killAllEventClientsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### triggerSchedulerMonitoring

          public void triggerSchedulerMonitoring()
                                          throws JGDIException

      Specified by:
        `triggerSchedulerMonitoring` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### triggerSchedulerMonitoringWithAnswer

          public void triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)
                                                    throws JGDIException

      Specified by:
        `triggerSchedulerMonitoringWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### getSchedulerHost

          public java.lang.String getSchedulerHost()
                                            throws JGDIException

      Specified by:
        `getSchedulerHost` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### enableQueues

          public void enableQueues(java.lang.String[] queues,
                                   boolean force)
                            throws JGDIException

      Specified by:
        `enableQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### enableQueuesWithAnswer

          public void enableQueuesWithAnswer(java.lang.String[] queues,
                                             boolean force,
                                             java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Specified by:
        `enableQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### disableQueues

          public void disableQueues(java.lang.String[] queues,
                                    boolean force)
                             throws JGDIException

      Specified by:
        `disableQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### disableQueuesWithAnswer

          public void disableQueuesWithAnswer(java.lang.String[] queues,
                                              boolean force,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Specified by:
        `disableQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### suspend

          public void suspend(java.lang.String[] queues,
                              boolean force)
                       throws JGDIException

      Specified by:
        `suspend` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### suspendWithAnswer

          public void suspendWithAnswer(java.lang.String[] queues,
                                        boolean force,
                                        java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Specified by:
        `suspendWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### suspendQueues

          public void suspendQueues(java.lang.String[] queues,
                                    boolean force)
                             throws JGDIException

      Specified by:
        `suspendQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### suspendQueuesWithAnswer

          public void suspendQueuesWithAnswer(java.lang.String[] queues,
                                              boolean force,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Specified by:
        `suspendQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### suspendJobs

          public void suspendJobs(java.lang.String[] jobs,
                                  boolean force)
                           throws JGDIException

      Specified by:
        `suspendJobs` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### suspendJobsWithAnswer

          public void suspendJobsWithAnswer(java.lang.String[] jobs,
                                            boolean force,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Specified by:
        `suspendJobsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### unsuspend

          public void unsuspend(java.lang.String[] queues,
                                boolean force)
                         throws JGDIException

      Specified by:
        `unsuspend` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### unsuspendWithAnswer

          public void unsuspendWithAnswer(java.lang.String[] queues,
                                          boolean force,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Specified by:
        `unsuspendWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### unsuspendQueues

          public void unsuspendQueues(java.lang.String[] queues,
                                      boolean force)
                               throws JGDIException

      Specified by:
        `unsuspendQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### unsuspendQueuesWithAnswer

          public void unsuspendQueuesWithAnswer(java.lang.String[] queues,
                                                boolean force,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Specified by:
        `unsuspendQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### unsuspendJobs

          public void unsuspendJobs(java.lang.String[] jobs,
                                    boolean force)
                             throws JGDIException

      Specified by:
        `unsuspendJobs` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### unsuspendJobsWithAnswer

          public void unsuspendJobsWithAnswer(java.lang.String[] jobs,
                                              boolean force,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Specified by:
        `unsuspendJobsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### clearQueues

          public void clearQueues(java.lang.String[] queues,
                                  boolean force)
                           throws JGDIException

      Specified by:
        `clearQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### clearQueuesWithAnswer

          public void clearQueuesWithAnswer(java.lang.String[] queues,
                                            boolean force,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Specified by:
        `clearQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### clearJobs

          public void clearJobs(java.lang.String[] jobs,
                                boolean force)
                         throws JGDIException

      Specified by:
        `clearJobs` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### clearJobsWithAnswer

          public void clearJobsWithAnswer(java.lang.String[] jobs,
                                          boolean force,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Specified by:
        `clearJobsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### reschedule

          public void reschedule(java.lang.String[] queue_or_job,
                                 boolean force)
                          throws JGDIException

      Specified by:
        `reschedule` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### rescheduleWithAnswer

          public void rescheduleWithAnswer(java.lang.String[] queue_or_job,
                                           boolean force,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Specified by:
        `rescheduleWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### rescheduleQueues

          public void rescheduleQueues(java.lang.String[] queues,
                                       boolean force)
                                throws JGDIException

      Specified by:
        `rescheduleQueues` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### rescheduleQueuesWithAnswer

          public void rescheduleQueuesWithAnswer(java.lang.String[] queues,
                                                 boolean force,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Specified by:
        `rescheduleQueuesWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### rescheduleJobs

          public void rescheduleJobs(java.lang.String[] jobs,
                                     boolean force)
                              throws JGDIException

      Specified by:
        `rescheduleJobs` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### rescheduleJobsWithAnswer

          public void rescheduleJobsWithAnswer(java.lang.String[] jobs,
                                               boolean force,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Specified by:
        `rescheduleJobsWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### showDetachedSettings

          public java.lang.String showDetachedSettings(java.lang.String[] queues)
                                                throws JGDIException

      Specified by:
        `showDetachedSettings` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### deleteShareTree

          public void deleteShareTree()
                               throws JGDIException

      Specified by:
        `deleteShareTree` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### deleteShareTreeWithAnswer

          public void deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Specified by:
        `deleteShareTreeWithAnswer` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### showDetachedSettingsAll

          public java.lang.String showDetachedSettingsAll()
                                                   throws JGDIException

      Specified by:
        `showDetachedSettingsAll` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### newQHostOptions

          public QHostOptions newQHostOptions()
                                       throws JGDIException

      Specified by:
        `newQHostOptions` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### newClusterQueueSummaryOptions

          public ClusterQueueSummaryOptions newClusterQueueSummaryOptions()
                                                                   throws JGDIException

      Specified by:
        `newClusterQueueSummaryOptions` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### newQueueInstanceSummaryOptions

          public QueueInstanceSummaryOptions newQueueInstanceSummaryOptions()
                                                                     throws JGDIException

      Specified by:
        `newQueueInstanceSummaryOptions` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

    - #### newQQuotaOptions

          public QQuotaOptions newQQuotaOptions()
                                         throws JGDIException

      Specified by:
        `newQQuotaOptions` in interface `JGDIJMXBaseMBean`
      Throws:
        `JGDIException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.